Bug 863527 - [RFE] please provide a way to answer NTPv1-2 requests
[RFE] please provide a way to answer NTPv1-2 requests
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: chrony (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 13:55 EDT by Endre "Hrebicek" Balint-Nagy
Modified: 2014-09-23 21:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: chrony-1.28-1.fc18
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-02 05:13:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Endre "Hrebicek" Balint-Nagy 2012-10-05 13:55:02 EDT
Description of problem:
Some old networking defvices send (a somewhat bogus) NTPv1 requests when they are compatible with NTPv3 or even NTPv4.

Version-Release number of selected component (if applicable):
chrony-1.27-0.4.pre1.el6.x86_64

How reproducible:
Try to synchronise an airlive WL-1500R to chrony (grimace).


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
It is welcome to reply to such requests like the reference implementation, it is harmless. Optionally add a switch/config option to enable replies to such devices.

Additional info:
Comment 1 Miroslav Lichvar 2013-05-02 05:13:06 EDT
chrony from upstream git now replies to NTPv1 and NTPv2 packets with the same version.
Comment 2 Fedora Update System 2013-06-21 12:31:20 EDT
chrony-1.28-0.1.pre1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/chrony-1.28-0.1.pre1.fc19
Comment 3 Fedora Update System 2013-07-01 20:33:36 EDT
chrony-1.28-0.1.pre1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-07-18 11:12:23 EDT
chrony-1.28-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/chrony-1.28-1.fc18
Comment 5 Fedora Update System 2013-08-05 20:22:21 EDT
chrony-1.28-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.